Skip to contentSkip to navigationSkip to topbar

Remove Profile Identifier


(information)

Legal information

Conversation Memory, including the APIs, may use artificial intelligence or machine learning technologies and is subject to the terms of the Predictive and Generative AI/ML Features Addendum(link takes you to an external page). For more details on AI usage and data, see the AI Nutrition Facts.

Conversation Memory is not a HIPAA Eligible Service or PCI compliant and should not be enabled in workflows that are subject to HIPAA or PCI.

Conversation Memory is not intended for use with sensitive information about individuals. Twilio does not control what information comes from conversation channels and relies on you to ensure the data in customer profiles aligns with our acceptable use policy. Twilio does have limited guardrails in the form of a prompt exclusion that is designed to provide a minimal screening against inclusion of GDPR special category data(link takes you to an external page). As a reminder our profile technology uses generative artificial intelligence. Because generative artificial intelligence can make mistakes, review all outputs to ensure that the profile is correct.

Conversations products are only available in the new Twilio Console(link takes you to an external page). If your account hasn't been migrated, you'll be redirected to the legacy Console where these products won't appear.

DELETE/v1/Stores/{storeId}/Profiles/{profileId}/Identifiers/{idType}

Base url: https://memory.twilio.com (base url)

Asynchronously remove stored values for the identifier type. The optional removeAll query parameter allows bulk removal; otherwise the service selects a single value to delete using the identifier settings limitPolicy.


Request

delete-profile-identifier-request page anchor

Authentication

authentication page anchor
Property nameTypeRequiredPIIDescription
storeIdstring
required
Not PII

A unique Memory Store ID using Twilio Type ID (TTID) format

Example: mem_store_00000000000000000000000000Pattern: ^mem_(store|service)_[0-7][0-9a-z]{25}$

profileIdstring
required

The unique identifier for the profile using Twilio Type ID (TTID) format.

Example: mem_profile_00000000000000000000000000Pattern: ^mem_profile_[0-7][0-9a-z]{25}$

idTypestring
required

Identifier type configured for the service (for example email, phone, or externalId).

Example: emailMin length: 2Max length: 30
Property nameTypeRequiredPIIDescription
removeAllboolean

Optional

When true, removes every stored value for the identifier type in a single operation. Defaults to false.

Default: false

202308400401403404429500503

Identifier removal accepted.

SchemaExample
Property nameTypeRequiredPIIDescriptionChild properties
messagestring

Optional

Example: Identifier removal accepted.Max length: 512
Remove Profile IdentifierLink to code sample: Remove Profile Identifier
1
// Download the helper library from https://www.twilio.com/docs/node/install
2
const twilio = require("twilio"); // Or, for ESM: import twilio from "twilio";
3
4
// Find your Account SID and Auth Token at twilio.com/console
5
// and set the environment variables. See http://twil.io/secure
6
const accountSid = process.env.TWILIO_ACCOUNT_SID;
7
const authToken = process.env.TWILIO_AUTH_TOKEN;
8
const client = twilio(accountSid, authToken);
9
10
async function deleteProfileIdentifier() {
11
await client.memory.v1
12
.identifiers(
13
"mem_store_00000000000000000000000000",
14
"mem_profile_00000000000000000000000000",
15
"idType"
16
)
17
.remove();
18
}
19
20
deleteProfileIdentifier();

Response

Note about this response
1
{
2
"message": "Identifier removal accepted."
3
}